Skip to content

Restore snapshot

PUT
/vector_db/{VectorDB_id}/snapshot/{Snapshot_id}/restore/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/{VectorDB_id}/snapshot/{Snapshot_id}/restore/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
VectorDB_id
required
integer
Snapshot_id
required
integer
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Snapshot restoration has been successfully scheduled

Media typeapplication/json
object
code
integer
message
string
data
object
errors
object

Example

{
"code": 200,
"message": "Snapshot Restoration Scheduled.",
"data": {},
"errors": {}
}